
.download_modal {
    width: 100%;
    height: 100%;
    position: fixed;
    inset: 0;
    background: rgba(255, 255, 255, .3);
    z-index: 15;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px);
}

.download_modal img {
    position: absolute;
    width: 75px !important;
    animation: imageLoader 1.5s linear infinite;
}

.download_modal-chrome img {
    width: 200px;
}

.download_modal-chrome #loader {
    width: 300px;
    height: 300px;
    border-width: 10px;
}

#loader {
    display: block;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #515DCD;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

#loader:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #BA55D3;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

#loader:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #0072ff;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


@-webkit-keyframes imageLoader {
    0% {
        -webkit-transform: translateX(0px);
        -ms-transform: translateX(0px);
        transform: translateX(0px);
    }

    50% {
        -webkit-transform: translateX(3px);
        -ms-transform: translateX(3px);
        transform: translateX(3px);
    }

    50% {
        -webkit-transform: translateX(-3px);
        -ms-transform: translateX(-3px);
        transform: translateX(-3px);
    }
}

@keyframes imageLoader {
    0% {
        -webkit-transform: translateX(0px);
        -ms-transform: translateX(0px);
        transform: translateX(0px);
    }

    50% {
        -webkit-transform: translateX(3px);
        -ms-transform: translateX(3px);
        transform: translateX(3px);
    }

    50% {
        -webkit-transform: translateX(-3px);
        -ms-transform: translateX(-3px);
        transform: translateX(-3px);
    }
}